/*
 * Desenvolvido para a disciplina Programacao 1
 * Curso de Bacharelado em Cincia da Computao
 * Departamento de Sistemas e Computao
 * Universidade Federal da Paraba
 *
 * Copyright (C) 1999 Universidade Federal da Paraba.
 * No redistribuir sem permisso.
 */

package p1.aplic.cartas;

import java.util.*;

/**
 * O jogo de Maior Carta, mas com baralho de Tarot.
 * Uma boa demosntrao da vantagem de Factory Methods.
 *
 * @author Jacques Philippe Sauv, jacques@dsc.ufpb.br
 * @version 1.1
 * <br>
 * Copyright (C) 1999 Universidade Federal da Paraba.
 */
public class MaiorCartaTarot extends MaiorCarta {
    /**
     * Cria um baralho para jogar o jogo
     * @return O baralho.
     */
    protected Baralho criaBaralho() {
        return new BaralhoTarot();
    }
}
