/*
 * Desenvolvido para a disciplina Programacao 1
 * Curso de Bacharelado em Cincia da Computao
 * Departamento de Sistemas e Computao
 * Universidade Federal da Paraba
 *
 * Copyright (C) 1999 Universidade Federal da Paraba.
 * No redistribuir sem permisso.
 */

package p1.io;
import java.io.*;

/**
 * Uma classe utilitria para entrada padro.
 * Foi criada para:
 *	1. esconder excecoes para alunos principiantes
 *	2. dar mensagens de erro e ficar em loop com NumberFormatException
 *
 * @see	  p1.io.PromptingReader
 *
 * @author   Jacques Philippe Sauv, jacques@dsc.ufpb.br
 * @version 1.1
 * <br>
 * Copyright (C) 1999 Universidade Federal da Paraba.
 */

public class Entrada {
	/** O Reader usado para a entrada */
	public static final PromptingReaderSemExcecao in = new PromptingReaderSemExcecao(new InputStreamReader(System.in));

	public static void main(String[] args) {
		in.testar(); // sem capturar excees, pois excees no devem chegar at aqui
	}
}
